
Redmine - Feature #8516

Email notifications without the recipient treated as attempted fraud by mail clients

2011-06-03 16:16 - Emanuele Tomeo

Status: Closed Start date: 2011-06-03

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: Email notifications Estimated time: 0.00 hour

Target version:    

Resolution: Fixed   

Description

If you check "Blind carbon copy recipients (bcc)" in email notifications, the recipient will be empty.

It could be filled at least with the admin (or single user), to avoid the spam filter to mark it as fraud.

Related issues:

Related to Redmine - Feature #30820: Drop setting "Blind carbon copy recipien... Closed

Has duplicate Redmine - Defect #9324: Emails not being sent if bcc option is ... Closed 2011-09-27

Has duplicate Redmine - Defect #13467: Tracker notification emails lack "To:"... Closed

Blocked by Redmine - Defect #30787: Other recipients are not listed in To fie... Closed

History

#1 - 2011-09-27 18:06 - Etienne Massip

- Category set to Email notifications

#2 - 2019-02-11 01:41 - Go MAEDA

- Has duplicate Defect #13467: Tracker notification emails lack "To:" header, violating RFC2822 added

#3 - 2019-02-11 02:02 - Go MAEDA

Since Redmine 4.0.0 and later send emails per recipient (#26791), now we can set the recipient of the message in the To field when "Blind carbon

copy recipients (bcc)" is enabled.

The following table is the idea of the new behavior.

"Blind carbon copy recipients (bcc)" setting To Field

Disabled All recipients (The same behavior with the current version)

Enabled Only the recipient of the message

#4 - 2019-02-11 15:56 - Go MAEDA

- Blocked by Defect #30787: Other recipients are not listed in To field even if Setting.bcc_recipients is false added

#5 - 2019-02-20 01:15 - Go MAEDA

- Related to Feature #30820: Drop setting "Blind carbon copy recipients (bcc)" added

#6 - 2021-10-03 21:12 - Marius BĂLTEANU

- Status changed from New to Closed

- Resolution set to Fixed

Go MAEDA wrote:

Since Redmine 4.0.0 and later send emails per recipient (#26791), now we can set the recipient of the message in the To field when "Blind

carbon copy recipients (bcc)" is enabled.

 This setting was dropped in the meantime so we can consider this issue fixed.
